## com.lowagie.text.pdf
Class PdfReaderInstance

    java.lang.Object
      com.lowagie.text.pdf.PdfReaderInstance

     class PdfReaderInstance

extends java.lang.Object

Instance of PdfReader in each output document.

Author:
  Paulo Soares (psoares@consiste.pt)

Field Summary
`(package private) RandomAccessFileOrArray` `file`
`(package private) static PdfLiteral` `IDENTITYMATRIX`
`(package private) java.util.HashMap` `importedPages`
`(package private) int[]` `myXref`
`(package private) java.util.ArrayList` `nextRound`
`(package private) static PdfNumber` `ONE`
`(package private) PdfReader` `reader`
`(package private) java.util.HashMap` `visited`
`(package private) PdfWriter` `writer`

Constructor Summary
`PdfReaderInstance(PdfReader reader, PdfWriter writer)`

Method Summary
`(package private) PdfStream` `getFormXObject(int pageNumber, int compressionLevel)` Gets the content stream of a page as a PdfStream object.
`(package private) PdfImportedPage` `getImportedPage(int pageNumber)`
`(package private) int` `getNewObjectNumber(int number, int generation)`
`(package private) PdfReader` `getReader()`
`(package private) RandomAccessFileOrArray` `getReaderFile()`
`(package private) PdfObject` `getResources(int pageNumber)`
`(package private) void` `writeAllPages()`
`(package private) void` `writeAllVisited()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### IDENTITYMATRIX

    static final PdfLiteral IDENTITYMATRIX

### ONE

    static final PdfNumber ONE

### myXref

    int[] myXref

### reader

    PdfReader reader

### file

    RandomAccessFileOrArray file

### importedPages

    java.util.HashMap importedPages

### writer

    PdfWriter writer

### visited

    java.util.HashMap visited

### nextRound

    java.util.ArrayList nextRound

Constructor Detail

### PdfReaderInstance

    PdfReaderInstance(PdfReader reader,
                      PdfWriter writer)

Method Detail

### getReader

    PdfReader getReader()

### getImportedPage

    PdfImportedPage getImportedPage(int pageNumber)

### getNewObjectNumber

    int getNewObjectNumber(int number,
                           int generation)

### getReaderFile

    RandomAccessFileOrArray getReaderFile()

### getResources

    PdfObject getResources(int pageNumber)

### getFormXObject

    PdfStream getFormXObject(int pageNumber,
                             int compressionLevel)
                       throws java.io.IOException

  Gets the content stream of a page as a PdfStream object.

  Parameters:
    `pageNumber` - the page of which you want the stream
    `compressionLevel` - the compression level you want to apply to the stream
  Returns:
    a PdfStream object
  Throws:
    `java.io.IOException`
  Since:
    2.1.3 (the method already existed without param compressionLevel)

### writeAllVisited

    void writeAllVisited()
                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeAllPages

    void writeAllPages()
                 throws java.io.IOException

  Throws:
    `java.io.IOException`

Hosted by Hostbasket